
# Set the value of $(MSVCDir) for your installation. 

MSVCDir="C:\Progra~1\Micros~1\VC98"

CPP=cl.exe
LINK32=link.exe
DLL_LINK_FLAGS=/nologo /dll /incremental:no /libpath:"$(MSVCDir)\Lib" /pdb:"rateconv.pdb" /implib:".\rateconv.lib" /machine:I386 /out:"rateconv.dll" 
PROG_LINK_FLAGS=/nologo /incremental:no /libpath:"$(MSVCDir)\Lib" /pdb:"rateconv.pdb" /machine:I386 /exetype:dynamic

CFLAGS=/nologo /MD /W1 /GX /O2 /I "src" /I "Win32" /I "$(MSVCDir)\Include" /D "WIN32" /D "_USRDLL" /YX /FD 

#====================================================================
# Targets

ALL : rateconv.dll 

CLEAN :
    -@erase "*.obj"

#====================================================================

LINK32_OBJS= \
    ".\rateconv.obj"

rateconv.dll : $(LINK32_OBJS) ".\rateconv.def"
    $(LINK32) $(DLL_LINK_FLAGS) /def:".\rateconv.def" $(LINK32_OBJS)

#====================================================================
# C files in src.

".\rateconv.obj" : ".\rateconv.c" 
    $(CPP) $(CFLAGS) /Fo".\rateconv.obj" /c ".\rateconv.c"

# End of Makefile
#====================================================================
